//- <html lang="es">
//-   <head>
//-     <meta charset="utf-8">
//-     <title>Document</title>
//-   </head>
//-   <body>
//-     <h1>Document</h1>
//-     <p>Hello World</p>
//-   </body>
//- </html>

doctype html
html(lang="es")
  head
    meta(charset="UTF-8")
    meta(http-equiv="X-UA-Compatible", content="IE=edge")
    meta(name="viewport", content="width=device-width, initial-scale=1.0")
    title Document
    //- link(rel="stylesheet", href="/assets/css/style.css")
  body
    h1 Document
    p Hello #{name}
    div 
      ul#chat-messages.chat-messages
        li Aqui estara el mensaje 
      form.chat-controls
        div 
          label(for="user")
          br
          input(type="text" id="user") 
        div 
          label(for="message") Mensaje:
          br
          textarea#messageBox(name="message", cols="30", rows="4") 
        div
          button#sendBtn(onclick="sendMessage(event)") Enviar mensjae
    script(src="/socket.io/socket.io.js")
    //- script(src="/assets/js/chat.js") 
    script.
      

      var socket = io();
      socket.on('connect', (el) => {
        console.log('Conectado al servidor');
        console.log('..', el);
        
        socket.on('message', (data) => {
          console.log(data);
        });
        socket.on('chat-general', (data) => {
          console.log(data);
          const chat = document.getElementById('chat-messages');
          const li = document.createElement('li');
          li.innerHTML = `<strong>${data.user}</strong>: ${data.message}`;
          chat.appendChild(li);
        });
      });
      socket.on('disconnect', () => {
        console.log('Desconectado del servidor');s
      })

      function sendMessage(e) {
        e.preventDefault();
        console.log('sendMessage');
        const user = document.getElementById('user').value;
        const message = document.getElementById('messageBox').value;
        if (socket.connected) {
          socket.emit('chat-general', {user, message});
          console.log('Enviando mensaje');
        } else {
          console.log('No se pudo enviar el mensaje');
        }
      }